[
  {
    "doctype": "Custom DocPerm",
    "parent": "Material Request",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Achat Acheteur",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Purchase Order",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Achat Acheteur",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Request for Quotation",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Achat Acheteur",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 1,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Material Request",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Achat Directeur",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 0,
    "delete": 0,
    "submit": 1,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Purchase Order",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Achat Directeur",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 1,
    "cancel": 1,
    "amend": 0,
    "report": 1,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Supplier",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Achat Directeur",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Contact",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Achat Fournisseurs",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Supplier",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Achat Fournisseurs",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Item",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Achat Magasinier",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 0,
    "create": 0,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Stock Entry",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Achat Magasinier",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 1,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Purchase Order",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Achat Réception",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 0,
    "create": 0,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Purchase Receipt",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Achat Réception",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 1,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "GL Entry",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Compta Audit UAF",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 0,
    "create": 0,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 1,
    "export": 1,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Payment Entry",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Compta Audit UAF",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 0,
    "create": 0,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 1,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Sales Invoice",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Compta Audit UAF",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 0,
    "create": 0,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 1,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Payment Entry",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Compta Clients AR",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 0,
    "create": 1,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Sales Invoice",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Compta Clients AR",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 1,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Budget",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Compta Contrôle Gestion",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 1,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Cost Center",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Compta Contrôle Gestion",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 0,
    "create": 0,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 1,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "GL Entry",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Compta Contrôle Gestion",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 0,
    "create": 0,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 1,
    "export": 1,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Purchase Invoice",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Compta Fiscaliste eCF",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 0,
    "create": 0,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 1,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Sales Invoice",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Compta Fiscaliste eCF",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 0,
    "delete": 0,
    "submit": 1,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 1,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Payment Entry",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Compta Fournisseurs AP",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 0,
    "create": 1,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Purchase Invoice",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Compta Fournisseurs AP",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 1,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Account",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Compta Général",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 0,
    "create": 0,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Journal Entry",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Compta Général",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 1,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Employee",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Compta Paie",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 0,
    "create": 0,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Salary Slip",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Compta Paie",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 1,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Bank Transaction",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Compta Trésorier",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 0,
    "delete": 0,
    "submit": 1,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Payment Entry",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Compta Trésorier",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 0,
    "delete": 0,
    "submit": 1,
    "cancel": 1,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Faisabilité",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Conseil Administration",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 0,
    "create": 0,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 1,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Sales Invoice",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Conseil Administration",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 0,
    "create": 0,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 1,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Faisabilité",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Construction Architecte",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Project",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Construction Architecte",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 0,
    "create": 0,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Faisabilité",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Construction BIM",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 0,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "File",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Construction BIM",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Material Request",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Construction Chef Projet",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 1,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Project",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Construction Chef Projet",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 0,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 1,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Task",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Construction Chef Projet",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Project",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Construction Directeur",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 1,
    "cancel": 0,
    "amend": 0,
    "report": 1,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Purchase Order",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Construction Directeur",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 0,
    "delete": 0,
    "submit": 1,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Task",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Construction Directeur",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 1,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Task",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Construction Ingénieur",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 0,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Timesheet",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Construction Ingénieur",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Quality Inspection",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Construction QAQC",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 1,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Task",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Construction QAQC",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 0,
    "create": 0,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Purchase Order",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Construction Sous-traitants",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 0,
    "create": 0,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 1,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Task",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Construction Sous-traitants",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 0,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Lead",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Direction Commerciale",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 0,
    "create": 0,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 1,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Opportunity",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Direction Commerciale",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 0,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 1,
    "export": 1,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Quotation",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Direction Commerciale",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 0,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 1,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Journal Entry",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Direction Financière",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 1,
    "cancel": 1,
    "amend": 0,
    "report": 1,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Payment Entry",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Direction Financière",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 0,
    "delete": 0,
    "submit": 1,
    "cancel": 1,
    "amend": 0,
    "report": 1,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Purchase Invoice",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Direction Financière",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 0,
    "delete": 0,
    "submit": 1,
    "cancel": 1,
    "amend": 0,
    "report": 1,
    "export": 1,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Sales Invoice",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Direction Financière",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 0,
    "delete": 0,
    "submit": 1,
    "cancel": 1,
    "amend": 0,
    "report": 1,
    "export": 1,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Project",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Direction Générale",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 0,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 1,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Purchase Order",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Direction Générale",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 0,
    "delete": 0,
    "submit": 1,
    "cancel": 1,
    "amend": 0,
    "report": 1,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Quotation",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Direction Générale",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 0,
    "delete": 0,
    "submit": 1,
    "cancel": 1,
    "amend": 0,
    "report": 1,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Sales Order",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Direction Générale",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 0,
    "delete": 0,
    "submit": 1,
    "cancel": 1,
    "amend": 0,
    "report": 1,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Project",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Direction Opérations",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 1,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Purchase Order",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Direction Opérations",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 0,
    "create": 0,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 1,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Task",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Direction Opérations",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 1,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Faisabilité",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Direction Président",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 0,
    "create": 0,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 1,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Opportunity",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Direction Président",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 0,
    "create": 0,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 1,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Purchase Invoice",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Direction Président",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 0,
    "create": 0,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 1,
    "export": 1,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Sales Invoice",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Direction Président",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 0,
    "create": 0,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 1,
    "export": 1,
    "import": 0,
    "print": 1,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Faisabilité",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Faisabilité Analyste",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 1,
    "cancel": 0,
    "amend": 0,
    "report": 1,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Project",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Faisabilité Analyste",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 0,
    "create": 0,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Faisabilité",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Faisabilité IFC Speckle",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 0,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "File",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Faisabilité IFC Speckle",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Faisabilité",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Faisabilité Rendu 3D",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 0,
    "create": 0,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "File",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Faisabilité Rendu 3D",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Faisabilité",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Faisabilité Économiste",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 0,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Item",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Faisabilité Économiste",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 0,
    "create": 0,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "CONFOTUR Application",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Legal Directeur",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 0,
    "delete": 0,
    "submit": 1,
    "cancel": 0,
    "amend": 0,
    "report": 1,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Contract",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Legal Directeur",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 1,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "CONFOTUR Application",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Legal ONAPI",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Publiciste Log",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Marketing Directeur",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 0,
    "create": 0,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 1,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Web Page",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Marketing Directeur",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Publiciste Log",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Marketing Publiciste",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Web Page",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Marketing Publiciste",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Web Page",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Marketing SEO",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 0,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Lead",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Marketing Social",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 0,
    "create": 1,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Dashboard",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Plateforme BI",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Report",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Plateforme BI",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 1,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Scheduled Job Type",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Plateforme DevOps",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 0,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Server Script",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Plateforme DevOps",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "API Access",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Plateforme Mobile",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 0,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Faisabilité",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Plateforme OTOIA",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Publiciste Log",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Plateforme OTOIA",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Error Log",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Plateforme QA",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 0,
    "create": 0,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Report",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Plateforme QA",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 0,
    "create": 0,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 1,
    "export": 1,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Role",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Plateforme RBAC Admin",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Role Profile",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Plateforme RBAC Admin",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "User",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Plateforme RBAC Admin",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 1
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "User Permission",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Plateforme RBAC Admin",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 1,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Customer",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Ventes Après-Vente",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 0,
    "create": 0,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Issue",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Ventes Après-Vente",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "CONFOTUR Application",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Ventes CONFOTUR",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 1,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Customer",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Ventes CONFOTUR",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 0,
    "create": 0,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Lead",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Ventes Chef Équipe",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 1,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Opportunity",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Ventes Chef Équipe",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 1,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Quotation",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Ventes Chef Équipe",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 1,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Lead",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Ventes Conseiller",
    "permlevel": 0,
    "if_owner": 1,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Opportunity",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Ventes Conseiller",
    "permlevel": 0,
    "if_owner": 1,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Quotation",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Ventes Conseiller",
    "permlevel": 0,
    "if_owner": 1,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 1,
    "email": 1,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Sales Invoice",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Ventes Contrats",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 0,
    "create": 1,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 1,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Sales Order",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Ventes Contrats",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 0,
    "delete": 0,
    "submit": 1,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 1,
    "email": 1,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Lead",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Ventes Courtier Externe",
    "permlevel": 0,
    "if_owner": 1,
    "select": 0,
    "read": 1,
    "write": 0,
    "create": 1,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Opportunity",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Ventes Courtier Externe",
    "permlevel": 0,
    "if_owner": 1,
    "select": 0,
    "read": 1,
    "write": 0,
    "create": 0,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Lead",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Ventes Directeur",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 1,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 1,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Opportunity",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Ventes Directeur",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 1,
    "export": 1,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Quotation",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Ventes Directeur",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 1,
    "cancel": 1,
    "amend": 0,
    "report": 1,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Sales Order",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Ventes Directeur",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 0,
    "delete": 0,
    "submit": 1,
    "cancel": 0,
    "amend": 0,
    "report": 1,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Payment Entry",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Ventes Réservations",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 0,
    "create": 1,
    "delete": 0,
    "submit": 0,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  },
  {
    "doctype": "Custom DocPerm",
    "parent": "Sales Order",
    "parenttype": "DocType",
    "parentfield": "permissions",
    "role": "OTO Ventes Réservations",
    "permlevel": 0,
    "if_owner": 0,
    "select": 0,
    "read": 1,
    "write": 1,
    "create": 1,
    "delete": 0,
    "submit": 1,
    "cancel": 0,
    "amend": 0,
    "report": 0,
    "export": 0,
    "import": 0,
    "print": 0,
    "email": 0,
    "share": 0,
    "set_user_permissions": 0
  }
]
